Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.control
Class GameControl

    java.lang.Object
      jrummikub.control.GameControl

    public class GameControl

extends java.lang.Object

Controls a Game, at some point including all Rounds, starts new Rounds

Constructor Summary
`GameControl(IView view)` Constructor

Method Summary
`void` | `startGame()` Game gets started by initializing the first Round

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GameControl

    public GameControl(IView view)

  Constructor

  Parameters:
    `view` - the view

Method Detail

### startGame

    public void startGame()

  Game gets started by initializing the first Round

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD